/**
 * @(#)RReferenceTableModel.java
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 * RID-3 : Unit用TableModel
 * @author  Intelligent Technology Inc.
 * @version 1.00 2002/01/09-2002/03/26
 * @see aUnitTableModel
 */
package	jp.co.nri.rid.table;

/* JAVA */
import	java.util.*;

/* W3C */
import	org.w3c.dom.Document;

/* rid */
import	jp.co.nri.rid.xml.*;

/**
 * 他のユニットの情報を参照する機能を持ったaUnitTableModel。
 */
public class RReferenceTableModel extends aUnitTableModel{
	/**
	 * @param	document	ドキュメント
	 * @param	clmdefs		カラム定義
	 */
	public RReferenceTableModel(Document document ,ClmDefs clmdefs){
		super(document ,clmdefs);
	}
	
	/**
	 * 指定タグ名のUnitを収集する。
	 * @param	tagnames	タグ名配列
	 * @since	1.00
	 */
	protected void collecting(String[] tagnames){
		elementBooster root = myDocument.root();
		int mx = tagnames.length;
		for(int i=0;i<mx;i++){
			elementBooster[] children = root.offspring(tagnames[i]);
			if(null==children)	return;
			int mx2 = children.length;
			for(int j=0;j<mx2;j++)	myElements.add(children[j]);
		}
	}
}
